## libglib-testing 0.1.0

=== meson_options.txt ===
option(
  'installed_tests',
  type: 'boolean',
  value: false,
  description: 'enable installed tests'
)

=== debian/changelog ===
libglib-testing (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #953250)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 08 Apr 2020 18:52:31 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libglib-testing
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>
Build-Depends: dbus <!nocheck>,
               debhelper-compat (= 12),
               gnome-pkg-tools,
               gtk-doc-tools,
               libglib2.0-dev (>= 2.44),
               meson (>= 0.45.0)
Build-Depends-Indep: libglib2.0-doc <!nodoc>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Section: libs
Homepage: https://gitlab.gnome.org/pwithnall/libglib-testing
Vcs-Browser: https://salsa.debian.org/gnome-team/libglib-testing
Vcs-Git: https://salsa.debian.org/gnome-team/libglib-testing.git

Package: libglib-testing-0-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: test library providing test harnesses and mock classes
 libglib-testing is a test library providing test harnesses and mock classes
 which complement the classes provided by GLib.
 It is intended to be used by any project which uses GLib and which wants to
 write internal unit tests.

Package: libglib-testing-0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libglib-testing-0-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.44),
         ${misc:Depends}
Description: Development files for the libglib-testing library
 libglib-testing is a test library providing test harnesses and mock classes
 which complement the classes provided by GLib.
 It is intended to be used by any project which uses GLib and which wants to
 write internal unit tests.
 .
 This package contains the development files.

Package: libglib-testing-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Documentation for the libglib-testing library
 libglib-testing is a test library providing test harnesses and mock classes
 which complement the classes provided by GLib.
 It is intended to be used by any project which uses GLib and which wants to
 write internal unit tests.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --with gnome

## libglib-testing 0.1.1

=== debian/changelog ===
libglib-testing (0.1.1-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:58:49 +0000

libglib-testing (0.1.1-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:00:24 +0000

libglib-testing (0.1.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:22:14 +0000

libglib-testing (0.1.1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * debian/rules: Build with all hardening flags
  * debian/control.in: Bump minimum meson to 0.54.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 24 Mar 2022 14:38:47 -0400

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 # This file is regenerated automatically in the clean target.
 Source: libglib-testing
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: dbus <!nocheck>,
                debhelper-compat (= 12),
-               gnome-pkg-tools,
+               dh-sequence-gnome,
                gtk-doc-tools,
                libglib2.0-dev (>= 2.44),
-               meson (>= 0.45.0)
+               meson (>= 0.54.0)
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

=== debian/watch ===
version=4
https://gitlab.gnome.org/pwithnall/libglib-testing/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.bz2
